Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetFromUniTuple<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniTuple<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetFromUniTuple<A>

- All Implemented Interfaces:
    `BavetTuple`

      public final class BavetFromUniTuple<A>
      extends BavetAbstractUniTuple<A>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<BavetAbstractUniTuple<A>>` | `childTupleList` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFromUniTuple​(BavetFromUniNode<A> node, A factA, int childTupleListSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<BavetAbstractUniTuple<A>>` | `getChildTupleList()` |
    `A` | `getFactA()` |
    `BavetFromUniNode<A>` | `getNode()` |
    `void` | `refresh()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Field Detail

    - #### childTupleList

          protected List<BavetAbstractUniTuple<A>> childTupleList

  - ### Constructor Detail

    - #### BavetFromUniTuple

          public BavetFromUniTuple​(BavetFromUniNode<A> node,
                                   A factA,
                                   int childTupleListSize)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetFromUniNode<A> getNode()

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractUniTuple<A>`

    - #### getChildTupleList

          public List<BavetAbstractUniTuple<A>> getChildTupleList()